iT邦幫忙

0

centos 的httpd 升級 ssl是否需要重新安裝?

各位大大好
小弟公司 因為遇到apache版本過舊,弱掃沒過 本身有安裝憑證
上頭想要升級阿帕契 想問下 如果升級阿帕契是否需要重新安裝憑證?

bestlong iT邦研究生 5 級 ‧ 2019-05-19 22:58:35 檢舉
這要看原本的 OS 版本與 Apache 安裝方式以及你計畫的更新流程
做好備份就下手嘗試吧
有狀況就是學習的機會
by2048 iT邦新手 1 級 ‧ 2021-05-07 16:04:28 檢舉
https://publicca.hinet.net/SSL_download.htm

1 個回答

0
㊣浩瀚星空㊣
iT邦超人 1 級 ‧ 2019-05-17 10:44:59
最佳解答

其實弱弱的說,不要再用apache了。

其實正常來說,不太明白你所謂的安裝憑證的意思。
因為並不太清楚你的憑證用處是一般的域名憑證處理。還是安全性或是個人憑證處理。

但重新設定憑證規劃也是免不了的。除非你可以賭人品。重新安裝的apache可以直接套用原始的設定檔。(雖然大多數因該直接套用沒問題,但因也不太清楚你的版本是多舊,所以也不太可以給你保証。

且如果你的憑證是與安全驗証的規劃有關。一般這是需要跟其它軟體或是套件重新配合。
這部份還是有可能有機會需要重新設定處理。

在這樣的資訊之下,我很難告訴你需不需要重裝。但建議你最好是將它當需要重裝的心態會比較好。

loke0204 iT邦新手 3 級 ‧ 2019-05-21 15:17:11 檢舉

對方版本:2.2.13 要升到2.2.15

我要發表回答

立即登入回答